Package com.tibco.patterns.qbp

## Class ANetricsQueryBuilderBuilderBase.OrQlt

- java.lang.Object
- - com.tibco.patterns.qbp.ANetricsQueryBuilderBuilderBase.OrQlt

- Enclosing class:
    ANetricsQueryBuilderBuilderBase

      protected static class ANetricsQueryBuilderBuilderBase.OrQlt
      extends java.lang.Object

  Define one querylet of an OR score combiner. Score combiners have as part of their input NetricsQuery objects. The query object would come from a call to one of the query object generator methods.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OrQlt​(com.netrics.likeit.NetricsQuery querylet, java.lang.Double weight)` | Create the definition of an OR querylet.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `com.netrics.likeit.NetricsQuery` | `getQuerylet()` |
    `double` | `getWeight()` |
    `void` | `setQuerylet​(com.netrics.likeit.NetricsQuery querylet)` | Set the query to be used.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrQlt

          public OrQlt​(com.netrics.likeit.NetricsQuery querylet,
                       java.lang.Double weight)
                throws java.lang.IllegalArgumentException

      Create the definition of an OR querylet.
      Parameters:
        `querylet` - the NetricsQuery object representing the querylet.
        `weight` - the weight factor for this querylet, if null this defaults to 1.0.
      Throws:
        `java.lang.IllegalArgumentException` - if weight is given and not between 0.0 and 1.0.

  - ### Method Detail

    - #### setQuerylet

          public void setQuerylet​(com.netrics.likeit.NetricsQuery querylet)

      Set the query to be used.
      Parameters:
        `querylet` - the query for this branch of the OR.

    - #### getQuerylet

          public com.netrics.likeit.NetricsQuery getQuerylet()

      Returns:
        the querylet object.
      Throws:
        `java.lang.IllegalStateException` - if no querylet has been set.

    - #### getWeight

          public double getWeight()

      Returns:
        the querylet weight factor.